[
  {
    blockid = config;
    help = service_smtp_mqueue_config_config;
    localvar =
    {
	  /* translate this block */
	  .altpo.help = "Alternate MTA queues:";
	  .altpo.header = "MTA Queue Path";
	  .altpo.title = "Alternate MTA Queue Entry";
	  .altpo.error = "The queue path for alternate MTA queue has to be unique.";
	  .handling.help = "Deferred message handling:";
	  .deferred.text = "Message queue process interval:";
	  .deferred.labels = ["Seconds(s)", "Minute(s)", "Hour(s)"];
	  .maxtime.text = "Maximum message queue time:";
	  .maxtime.labels = ["Hour(s)", "Day(s)"];
    };
    content =
    [
	  {
	    ctrl = vstrut;
	  },
	  {
	    ctrl = label;
	    id = altpolabel;
	    text = $.altpo.help;
	    wrap = $g.label.size4;
	  },
	  {
	    ctrl = vstrut;
	  },
	  {
	    ctrl = table;
	    id = stdtable;
	    label = altpolabel;
	    stdtable = true;
	    addui = altpodialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle = $.altpo.title;
	    editui = altpodialog;
	    edittitle = $.altpo.title;
	    val = $service.smtp.altqueues.value;
	    label = altpolabel;
	    showedit = true;
	    buttonsat = east;
	    delimiter = ", ";
	    visiblerows = 5;
	    bounds = [0, 0, 460, 100];
	    columns =
	    [
		  {
		    header = $.altpo.header;
		    varname = altpo;
		    unique = $.altpo.error;
		  }
	    ]
	  },
	  {
	    ctrl = vstrut;
	  },
	  {
	    ctrl = separator;
	  },
	  {
	    ctrl = vstrut;
	  },
	  {
	    ctrl = vstrut;
	  },
	  {
	    ctrl = label;
	    id = handlinglabel;
	    text = $.handling.help;
	    wrap = $g.label.size3;
	  },
	  {
	    ctrl = vstrut;
	  },
	  {
	    ctrl = pane;
	    content =
	    [
		  {
		    ctrl = label;
		    id = deferredlabel;
		    text = $.deferred.text;
		    wrap = $g.label.size2;
		    aligny = 0.5;
		  },
		  {
		    ctrl = rigid;
		  },
		  {
		    ctrl = number;
		    label = deferredlabel;
		    val = $service.smtp.deferredperiod.value;
		    aligny = 0.5;
		    unit = sec;
		    items = [sec, min, hr];
		    labels = $.deferred.labels;
		  },
		  {
		    ctrl = hglue;
		  }
	    ]
	  },
	  {
	    ctrl = pane;
	    content =
	    [
		  {
		    ctrl = label;
		    id = maxtimelabel;
		    text = $.maxtime.text;
		    wrap = $g.label.size2;
		    aligny = 0.5;
		  },
		  {
		    ctrl = rigid;
		  },
		  {
		    ctrl = number;
		    label = maxtimelabel;
		    val = $service.smtp.maxqueuetime.value;
		    aligny = 0.5;
		    unit = day;
		    type = float;
		    items = [hr, day];
		    labels = $.maxtime.labels;
		  },
		  {
		    ctrl = hglue;
		  }
	    ]
	  }
    ]
  },
  {
    blockid = altpodialog;
    help = service_smtp_mqueue_altpodialog;
    localvar =
    {
	  .name.text = "Path name of the MTA queue:";
    };
    content =
    [
	  {
	    ctrl = label;
	    text = $.name.text;
	    wrap = $g.label.size3;
	    aligny = 0.5;
	  },
	  {
	    ctrl = vstrut;
	  },
	  {
	    ctrl = text;
	    val = $altpo;
	    aligny = 0.5;
	    focus = true;
	  }
    ]
  }
]
